--- ircii-pana-1.0-0c15.orig/source/commands.c
+++ ircii-pana-1.0-0c15/source/commands.c
@@ -1075,7 +1075,7 @@
 	set_server_reconnect(from_server, 1);
 	close_server(from_server,(args && *args) ? args : "Reconnecting");
 	clean_server_queues(from_server);
-	window_check_servers(from_server);
+	window_close_server(from_server);
 	servercmd(NULL, scommnd, empty_string, NULL);
 
 }
--- ircii-pana-1.0-0c15.orig/source/numbers.c
+++ ircii-pana-1.0-0c15/source/numbers.c
@@ -1105,7 +1105,7 @@
 		if (do_hook(current_numeric, "%s %s", from, *ArgList))
 			display_msg(from, ArgList);
 		close_server(from_server, empty_string);
-		window_check_servers(from_server);
+		window_close_server(from_server);
 		if (from_server == primary_server)
 			get_connected(from_server + 1, from_server);
 		break;
@@ -1149,7 +1149,7 @@
 			display_msg(from, ArgList);
 				
 		close_server(from_server, empty_string);
-		window_check_servers(from_server);
+		window_close_server(from_server);
 		if (server_list_size() > 1)
 			remove_from_server_list(klined);
 		if (klined == primary_server && (server_list_size() > 0))
--- ircii-pana-1.0-0c15.orig/source/parse.c
+++ ircii-pana-1.0-0c15/source/parse.c
@@ -1166,7 +1166,7 @@
 
 	close_server(from_server,empty_string);
 	clean_server_queues(from_server);
-	window_check_servers(from_server);
+	window_close_server(from_server);
 	set_input_prompt(current_window, get_string_var(INPUT_PROMPT_VAR), 0);
 	if (strchr(from, '.'))
         {
--- ircii-pana-1.0-0c15.orig/source/server.c
+++ ircii-pana-1.0-0c15/source/server.c
@@ -257,7 +257,7 @@
 						times = 1;
 						i++;
 					}
-					window_check_servers(i);
+					window_close_server(i);
 					get_connected(i, old_serv);
 					break;
 				}
@@ -1162,7 +1163,7 @@
 			    return;
 			}
 			close_server(i, "closing server");
-			window_check_servers(i);
+			window_close_server(i);
 		}
 		else
 			get_connected(from_server - 1, from_server);
@@ -2100,7 +2101,7 @@
 		clear_channel_list(i);
 		close_server(i, message);
 		server_list[i].eof = 1;
-		window_check_servers(i);
+		window_close_server(i);
 	}
 done:
 	window_check_servers(i);
